Changeset 556 for trunk


Ignore:
Timestamp:
Jul 14, 2020, 1:20:22 PM (4 years ago)
Author:
katerina
Message:

Fix for ticket #445 (portable binary installer)

Location:
trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/Makefile.in

    r550 r556  
    687687run-light: all
    688688        @echo "Building $(PACKAGE)-$(VERSION).run"; \
    689         STAGE=$(PACKAGE)-$(VERSION); \
     689        STAGE=$(PACKAGE)-$(VERSION)-run-installer; \
    690690        mkdir $$STAGE; \
    691691        if test x"$$?" != x0; then \
     
    709709        echo  "cp -p $$temp/* $(sbindir) || exit 1" >> $$STAGE/setup.sh; \
    710710        temp=`echo $(sysconfdir) | sed s,^/,,`; \
    711         echo "chown root $$temp/*" >> $$STAGE/setup.sh; \
     711        echo "chown -R root $$temp/*" >> $$STAGE/setup.sh; \
    712712        configfile=`echo  @myconffile@ | sed 's%^REQ_FROM_SERVER%%'`; \
    713         echo  "test -f $$configfile || cp -p $$temp/* $$configfile" >> $$STAGE/setup.sh; \
    714         echo  "./samhain-install.sh --express --verbose install-boot || echo 'Cannot install init script'"    >> $$STAGE/setup.sh; \
     713        echo  "cp -pr $$temp/* @sysconfdir@"                           >> $$STAGE/setup.sh; \
     714        echo  "./samhain-install.sh --express --verbose install-boot"  >> $$STAGE/setup.sh; \
     715        echo  "if [ \$$? -ne 0 ]"                                      >> $$STAGE/setup.sh; \
     716        echo  "then"                                                   >> $$STAGE/setup.sh; \
     717        echo  "  echo 'Installation finished, but could not install boot-time init scripts'"      >> $$STAGE/setup.sh; \
     718        echo  "  exit 2"                                               >> $$STAGE/setup.sh; \
     719        echo  "fi"                                                     >> $$STAGE/setup.sh; \
     720        echo  "echo 'Installation finished'"                           >> $$STAGE/setup.sh; \
     721        echo  "exit 0"                                                 >> $$STAGE/setup.sh; \
    715722        cp $(top_srcdir)/mkinstalldirs $$STAGE/; \
    716723        cp $(top_srcdir)/install-sh $$STAGE/; \
     
    722729        chmod +x $$STAGE/install-sh; \
    723730        $(top_srcdir)/scripts/makeself/makeself.sh --header $(top_srcdir)/scripts/makeself/makeself-header.sh --nocomp --nomd5 --notemp $$STAGE $(PACKAGE)-$(VERSION).run "$(PACKAGE)_$(VERSION)_self_extracting_installer" ./setup.sh && \
    724         rm -r $(PACKAGE)-$(VERSION)
     731        rm -r $$STAGE
    725732
    726733emerge-prepare: dist
  • trunk/docs/Changelog

    r553 r556  
     14.4.2:
     2        * re-enabled reading options from option group [samhain] in my.cnf
     3        * fix server install in configure.ac: samhainadmin.pl <-> yuleadmin.pl
     4        * add more verbosity to portable binary installer, fix minor issues
     5
    164.4.1:
    27        * fix compatibility problem with older (version 2.0.x) GnuPG
  • trunk/samhain-install.sh.in

    r550 r556  
    11371137                echo "  ${DESTDIR}/${rc_systemd}/${samhain}.service exists ... not overwritten (or use --force)"
    11381138            else
     1139                test -z "$verbose" || echo "  installing ${servicescript} as ${DESTDIR}/${rc_systemd}/${samhain}.service"
    11391140                ${INSTALL_DATA} ${servicescript} "${DESTDIR}/${rc_systemd}/${samhain}.service"
    11401141            fi
  • trunk/scripts/makeself/makeself.sh

    r1 r556  
    293293echo Adding files to archive named \"$archname\"...
    294294(cd "$archdir"; tar $TAR_ARGS - * | eval "$GZIP_CMD" ) >> "$tmpfile" || { echo Aborting; rm -f "$tmpfile"; exit 1; }
    295 echo >> "$tmpfile" >&- # try to close the archive
     295# The following command seems both superfluous and causing an 'I/O error' message
     296# echo >> "$tmpfile" >&- # try to close the archive
    296297
    297298fsize=`cat "$tmpfile" | wc -c | tr -d " "`
Note: See TracChangeset for help on using the changeset viewer.